Page MenuHomePhabricator

Migrating mobile browser tests to JJB
Closed, ResolvedPublic

Description

We should tag more tests with @integration to give us more test code coverage via jenkins job builder. Let's see how many of the existing @smoke tests we can add (ideally we should add all of them)

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Jdlrobson moved this task to Incoming on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2015, 3:28 PM

So it is not ready yet to replace barry?

If all the existing @smoke tests pass then yes we can replace Barry with it

Note barrybot (who was supposed to be running Gather tests) has actually been disabled due to a rogue process submitting empty pastes so this would be a good time to push forward with this. I've disabled frankiebot on mobile-browser-tests.eqiad.wmflabs and will re-enable him Monday, so please be careful merging over the weekend if you are considering it :)

Change 229007 had a related patch set uploaded (by Jdlrobson):
Add @integrate tag to all the things

https://gerrit.wikimedia.org/r/229007

Change 229042 had a related patch set uploaded (by Dduvall):
Run mwext-mw-selenium on MobileFrontend test/gate-and-submit

https://gerrit.wikimedia.org/r/229042

Change 229042 merged by jenkins-bot:
Run mwext-mw-selenium on MobileFrontend test/gate-and-submit

https://gerrit.wikimedia.org/r/229042

Change 229007 merged by jenkins-bot:
Add @integrate tag to all the things that currently pass

https://gerrit.wikimedia.org/r/229007

@Jdlrobson Did you add the @integrate to all the @smoke tests? Seem to pass fine 👌 😁

Can we try it with gather?

Jdlrobson renamed this task from Migrating more browser tests to JJB to Migrating mobile browser tests to JJB.Aug 4 2015, 5:33 PM
Jdlrobson set Security to None.
Jhernandez triaged this task as Medium priority.Aug 5 2015, 5:16 PM
Jhernandez moved this task from Incoming to 2016-17 Q2 on the Readers-Web-Backlog board.
Jdlrobson closed this task as Resolved.Aug 12 2015, 12:30 AM
Jdlrobson claimed this task.

Calling this resolved since most are running. The separate task can deal with the other ones which are less important.

Gather covered in T107908